//
// ********************************************************************
// * DISCLAIMER                                                       *
// *                                                                  *
// * The following disclaimer summarizes all the specific disclaimers *
// * of contributors to this software. The specific disclaimers,which *
// * govern, are listed with their locations in:                      *
// *   http://cern.ch/geant4/license                                  *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.                                                             *
// *                                                                  *
// * This  code  implementation is the  intellectual property  of the *
// * GEANT4 collaboration.                                            *
// * By copying,  distributing  or modifying the Program (or any work *
// * based  on  the Program)  you indicate  your  acceptance of  this *
// * statement, and all its terms.                                    *
// ********************************************************************
//
// $Id: TSHMSPmtHit.cc,v 1.5 2003/07/11 21:32:02 duns Exp $
// --------------------------------------------------------------
//
#include "TSHMSPmtHit.hh"
#include "TSHMSAnalysisManager.hh"
#include "G4ios.hh"
#include "G4VVisManager.hh"
#include "G4Circle.hh"
#include "G4Colour.hh"
#include "G4VisAttributes.hh"
#include "G4LogicalVolume.hh"

G4Allocator<TSHMSPmtHit> TSHMSPmtHitAllocator;

TSHMSPmtHit::TSHMSPmtHit()
{
  //layerID = -1;
  time = 0.;

  analysis = TSHMSAnalysisManager::getInstance();
}

TSHMSPmtHit::~TSHMSPmtHit()
{;}

TSHMSPmtHit::TSHMSPmtHit(const TSHMSPmtHit &right)
    : G4VHit() {
  worldPos = right.worldPos;
  localPos = right.localPos;
  time = right.time;
}
const TSHMSPmtHit& TSHMSPmtHit::operator=(const TSHMSPmtHit &right)
{
  worldPos = right.worldPos;
  localPos = right.localPos;
  time = right.time;
  return *this;
}
int TSHMSPmtHit::operator==(const TSHMSPmtHit &/*right*/) const
{
  return 0;
}
void TSHMSPmtHit::Draw()
{
  /*
  G4VVisManager* pVVisManager = G4VVisManager::GetConcreteInstance();
  if(pVVisManager)
  {
    G4Circle circle(worldPos);
    circle.SetScreenSize(2);
    circle.SetFillStyle(G4Circle::filled);
    G4Colour colour(1.,1.,0.);
    G4VisAttributes attribs(colour);
    circle.SetVisAttributes(attribs);
    pVVisManager->Draw(circle);
  }*/
}
void TSHMSPmtHit::Print()
{ 
  /*
  analysis->fout_hit << " Time " << time/ns
         << " (nsec) --- tank (x,y,z) " << worldPos.x()
         << ", " << worldPos.y()
		 << ", " << worldPos.z() 
		 << " Photon ID " << 10000*analysis->EventNumber+TrackID << G4endl;
  */
  analysis->fout_hit << time/ns
         << "  " << worldPos.x()
         << "  " << worldPos.y()
		 << "  " << worldPos.z()-analysis->GettTankFrontZ() 
		 << "  " << 10000*analysis->EventNumber+TrackID << G4endl;
}
